﻿using System;
using System.Collections.Generic;

// Code scaffolded by EF Core assumes nullable reference types (NRTs) are not used or disabled.
// If you have enabled NRTs for your project, then un-comment the following line:
// #nullable disable

namespace Coscine.Database.DataModel
{
    public partial class Resource
    {
        public Resource()
        {
            ProjectResources = new HashSet<ProjectResource>();
            ResourceDisciplines = new HashSet<ResourceDiscipline>();
        }

        public Guid Id { get; set; }
        public Guid TypeId { get; set; }
        public string ResourceName { get; set; }
        public string DisplayName { get; set; }
        public Guid? VisibilityId { get; set; }
        public Guid? LicenseId { get; set; }
        public string Keywords { get; set; }
        public string UsageRights { get; set; }
        public Guid? ResourceTypeOptionId { get; set; }
        public string Description { get; set; }
        public string ApplicationProfile { get; set; }
        public string FixedValues { get; set; }
        public Guid? Creator { get; set; }

        public virtual License License { get; set; }
        public virtual ResourceType Type { get; set; }
        public virtual Visibility Visibility { get; set; }
        public virtual ICollection<ProjectResource> ProjectResources { get; set; }
        public virtual ICollection<ResourceDiscipline> ResourceDisciplines { get; set; }
    }
}
