﻿using System;
using System.Collections.Generic;

// Code scaffolded by EF Core assumes nullable reference types (NRTs) are not used or disabled.
// If you have enabled NRTs for your project, then un-comment the following line:
// #nullable disable

namespace Coscine.Database.DataModel
{
    public partial class User
    {
        public User()
        {
            ApiTokens = new HashSet<ApiToken>();
            ExternalIds = new HashSet<ExternalId>();
            GroupMemberships = new HashSet<GroupMembership>();
            ProjectRoles = new HashSet<ProjectRole>();
            Tosaccepteds = new HashSet<Tosaccepted>();
            UserDisciplines = new HashSet<UserDiscipline>();
        }

        public Guid Id { get; set; }
        public string EmailAddress { get; set; }
        public string DisplayName { get; set; }
        public string Givenname { get; set; }
        public string Surname { get; set; }
        public string Entitlement { get; set; }
        public string Organization { get; set; }
        public Guid? TitleId { get; set; }
        public Guid? LanguageId { get; set; }
        public string Institute { get; set; }

        public virtual Language Language { get; set; }
        public virtual Title Title { get; set; }
        public virtual ICollection<ApiToken> ApiTokens { get; set; }
        public virtual ICollection<ExternalId> ExternalIds { get; set; }
        public virtual ICollection<GroupMembership> GroupMemberships { get; set; }
        public virtual ICollection<ProjectRole> ProjectRoles { get; set; }
        public virtual ICollection<Tosaccepted> Tosaccepteds { get; set; }
        public virtual ICollection<UserDiscipline> UserDisciplines { get; set; }
    }
}
